Handling event errors in promises with try catch

Is this possible? The thrown error just reports and exits Node.js

var emitter = require('SomethingThatEmitsEvents');

try {
    await new Promise(function(resolve, reject) {
		emitter.on('first', function(){
			throw "This error won't be caught"
		})
    	emitter.on('end', function(){
			//Exit promise to continue with the rest of the code
			resolve()
		})
    })
	
	//...continue with the rest of the code
}
catch(err){
	//I expected this to log, "Error: This error won't be caught"
	//Instead, the process just errors and exits
	console.log("Error:", err)
}